Subject: I-D Action: draft-ietf-6man-slaac-renum- one additional option

From: Vasilenko Eduard <[email-masked]>
Date: Tue, 18 Aug 2020 15:17:57 +0000

Hi all,
I have counted 6 counter-measures for "lost PIO": Reduce/Cap/Priority/Fast_update/All_included/Host_guess.

I have the proposition for additional one:
RA (section 4.2 RFC4861) has 2 flags and 6 bits reserved.
I propose to use 1 bit from reserved for additional flag: "C"="Complete". It would mean that RA has all information in this packet, including all PIOs.
If host have recorded before some other information from the *same router* (same LLA) - then absence of this information in last RA means that information should be deprecated, irrespective of timers.
I propose to immediately put address from missing PIO into " deprecated " state up to the end of the life for this prefix.

It would be the fastest and 100% reliable way to purge invalid information.

Eduard
-----Original Message-----
From: ipv6 [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: 27 июля 2020 г. 13:40
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action: draft-ietf-6man-slaac-renum-00.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IPv6 Maintenance WG of the IETF.

        Title           : Improving the Robustness of Stateless Address Autoconfiguration (SLAAC) to Flash Renumbering Events
        Authors         : Fernando Gont
                          Jan Zorz
                          Richard Patterson
	Filename        : draft-ietf-6man-slaac-renum-00.txt
	Pages           : 16
	Date            : 2020-07-27

Abstract:
   In renumbering scenarios where an IPv6 prefix suddenly becomes
   invalid, hosts on the local network will continue using stale
   prefixes for an unacceptably long period of time, thus resulting in
   connectivity problems.  This document improves the reaction of IPv6
   Stateless Address Autoconfiguration to such renumbering scenarios.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-6man-slaac-renum/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-6man-slaac-renum-00
https://datatracker.ietf.org/doc/html/draft-ietf-6man-slaac-renum-00

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------